%define desktop_file_utils_version 0.9

Summary: Open source media player based on the Helix framework
Name: HelixPlayer
Version: 1.0.6
Epoch: 1
Release: 3%{?dist}.1
Group: Applications/Multimedia
License: RPSL, EULA
URL: https://player.helixcommunity.org/
Source: README
Obsoletes: G2player, RealOne, HelixPlayer
ExcludeArch: ppc64 x86_64 s390 s390x ia64
BuildRoot: %{_tmppath}/%{name}-%{version}-buildroot

%description
The Helix Player 1.0 is an open-source media player built in the Helix 
Community for consumers. Built using GTK, it plays open source formats, 
like Ogg Vorbis and Theora using the powerful Helix DNA Client Media 
Engine.

%package uninstall
Summary: HelixPlayer replacement package
Group: Applications/Multimedia
Obsoletes: G2player, RealOne, HelixPlayer
Conflicts: HelixPlayer

%description uninstall
This is a dummy package for HelixPlayer. See included README for more
details.

%build
cp %{SOURCE0} .

%install
rm -rf $RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%post uninstall
update-desktop-database %{_datadir}/applications

%files uninstall
%defattr(-,root,root)
%doc README

%changelog
* Tue Dec 14 2010 Josh Bressers <bressers@redhat.com>
- Empty package, and add uninstall subpackage with explanation for the
  emptiness.
  Related: bz#662779
* Thu Feb  4 2010 Tomas Hoger <thoger@redhat.com> 1.0.6-1.1
- Multiple security fixes:
  http://service.real.com/realplayer/security/01192010_player/en/

* Tue Jun 26 2007 Chris Aillon <caillon@redhat.com> 1:1.0.6-0.EL4.2
- Add a fix for CVE-2007-3410 bz#245843

* Tue Sep 20 2005 John (J5) Palmieri <johnp@redhat.com> 1:1.0.6-0.EL4.1
- Update to 1.0.6
- Add patch to fix ppc build problems

* Fri Jun 10 2005 John (J5) Palmieri <johnp@redhat.com> 1:1.0.5-0.EL4.1
- Update to 1.0.5 as fix for bug #159872

* Tue Apr 19 2005 John (J5) Palmieri <johnp@redhat.com> 1:1.0.4-1.1.EL4.2
- Add execshield fix

* Tue Apr 19 2005 John (J5) Palmieri <johnp@redhat.com> 1:1.0.4-1.1.EL4.1
- Bump release to not conflict with FC4

* Tue Apr 19 2005 John (J5) Palmieri <johnp@redhat.com> 1:1.0.4-1.1
- Bump release and rebuild

* Tue Apr 19 2005 John (J5) Palmieri <johnp@redhat.com> 1:1.0.4-1
- Update to upstream version 1.0.4 to fix security vulnerability (155386)

* Wed Mar  2 2005 Ray Strode <rstrode@redhat.com> 1:1.0.3-2
- Attempt to address execshield regressions.

* Wed Mar  2 2005 Ray Strode <rstrode@redhat.com> 1:1.0.3-1
- Update to 1.0.3 fixes for 150098 and 150103. 

* Thu Oct 28 2004 Colin Walters <walters@redhat.com> 1:1.0.1.gold-8EL
- RHEL rebuild

* Mon Oct 25 2004 Colin Walters <walters@redhat.com> 1:1.0.1.gold-7
- Add patch from Real to up2date to RealPlayer instead of
  going to the Real website.

* Fri Oct 15 2004 Colin Walters <walters@redhat.com> 1:1.0.1.gold-6
- Require libbluecurve.so to fix 135709, since it apparently
  cannot be done in comps at this point.

* Fri Oct 15 2004 Colin Walters <walters@redhat.com> 1:1.0.1.gold-5
- Ok, we can not Requires: redhat-artwork.i386.  Reassigning
  135709 to comps.

* Thu Oct 14 2004 Colin Walters <walters@redhat.com> 1:1.0.1.gold-4
- Pull in 32-bit redhat-artwork on x86_64 (135709)
- Rename hxplay.desktop to realplay.desktop, in order to set 
  default mime handlers for realplay.desktop, until we get
  multiple application support in defaults.list (135705)

* Wed Oct 13 2004 Colin Walters <walters@redhat.com> 1:1.0.1.gold-3
- Install translations (bug 132336)

* Thu Oct 07 2004 Colin Walters <walters@redhat.com> 1:1.0.1.gold-2
- Fix wrapper script to handle commandline arguments

* Sun Oct 03 2004 Colin Walters <walters@redhat.com> 1:1.0.1.gold-1
- Update to 1.0.1
- Add epoch since 1.0.1.gold is older than 1.0.gold
- Drop upstreamed HelixPlayer-1.0.beta20040615-mmx-clobber.patch
- Drop HelixPlayer-1.0.beta20040615-desktop.patch per request
- Drop upstreamed HelixPlayer-1.0-filechooser.patch
- Drop upstreamed HelixPlayer-1.0-clobberedx.patch
- Switch to bingo-gold target

* Thu Sep 30 2004 Christopher Aillon <caillon@redhat.com> 1.0.gold-6
- PreReq desktop-file-utils >= 0.9

* Tue Sep 21 2004 David Woodhouse <dwmw2@redhat.com> 1.0.gold-5
- Build on PPC

* Tue Sep 14 2004 Colin Walters <walters@redhat.com> 1.0.gold-4
- Add patch from Real to fix math64.h compilation
- Invoke update-desktop-database in post and postun, in
  preparation for fixing .desktop file for mime system
- Address some issues from #130744, thanks Ling Li:
  - Do release build
  - Install release binary
  - Fix typo in png installation
- Remove hack for installing debug ogg format

* Mon Aug 23 2004 Colin Walters <walters@redhat.com> 1.0.gold-3
- Install README and LICENSE

* Fri Aug 06 2004 Colin Walters <walters@redhat.com> 1.0.gold-2
- Put mozilla plugins in correct directory (#129305)

* Mon Aug 02 2004 Colin Walters <walters@redhat.com> 1.0.gold-1
- Update to gold
- Use setup -n to set directory instead of repacking tarball
- Switch bif target to bingo-gold-free

* Thu Jul 29 2004 Colin Walters <walters@redhat.com> 1.0.beta20040615-6
- Rework Summary a bit
- Minor spec cleanups

* Mon Jul 26 2004 Colin Walters <walters@redhat.com> 1.0.beta20040615-5
- Add patch to port to GtkFileChooser
- ExcludeArch ppc

* Fri Jul 16 2004 Colin Walters <walters@redhat.com> 1.0.beta20040615-4
- Restore MIME icon installation into hicolor directory 

* Fri Jul 16 2004 Colin Walters <walters@redhat.com> 1.0.beta20040615-3
- Add patch to fix desktop file name
- Set build failure color to "green" to exit on any error
- Add smp_mflags variable for parallel building

* Thu Jul 15 2004 Colin Walters <walters@redhat.com> 1.0.beta20040615-2
- BR latest theora
- More spec file bits
- Install logo for real

* Mon Jul 12 2004 Colin Walters <walters@redhat.com> 1.0.beta20040615-1
- Some spec file cleanups

* Mon Jun 8 2004 Ryan Gammon <rgammon@real.com>
- Adding /usr/share/pixmap, document icons

* Mon Jun 7 2004 Nicholas Hart <nhart@real.com>
- added .mime/.keys/.applications files

* Wed May 5 2004 Ryan Gammon <rggammon@helixcommunity.org>
- Updating icons

* Thu Jan 13 2004  Nicholas Hart <nhart@helixcommunity.org>
- tweaked some paths to deal with tarball generated by player/installer/app
- changed, reformatted some of the package info

* Sat Dec 27 2003 Thomas Chung <tchung@linuxinstall.org> 0.2.0.0-20031224
- First RPM build for Fedora Core 1
